Is the TLS Protocol for your Authorize.net plugin 1.2?

  • Profile Image
    Larry Rood 
    Asked on January 25, 2018 at 12:42 PM
  • Profile Image
    Sabbir
    Answered on January 25, 2018 at 02:11 PM

    We are already fully PCI compliant and our payment integrations are up to date. We update our integrations, especially for security-related updates, long before they are required.

    JotForm does handle everything on the behalf of our users. Also, all forms are now using TLS 1.2 encryption on its certificates.

    I hope this information helps. Let us know if you need further assistance.